View Issue Details

IDProjectCategoryView StatusLast Update
0000647SOGoWeb Mailpublic2010-06-23 17:05
Reportertolivier Assigned Towsourdeau 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.2.2 
Target Version1.3.0Fixed in Version1.3.0 
Summary0000647: malformated - multipart message encoding
Description

process hangs with a malformated multipart header.

The error is the accentuated character located in "----=5596-iasz-7711-xupw" part.

regards,

Thomas.

Additional Information

mail:
(snip)
This is a multipart message in MIME format

----=7752-rpyq-9262-cumw
Content-Type: multipart/related; boundary="--=5596-iasz-7711-xupw"

----=5596-iasz-7711-xupw
Content-Type: multipart/alternative; boundary="--=6206-hweh-5911-geom"

----=6206-hweh-5911-geom
Content-Type: text/plain; charset="ISO-8859-1"
Content-Transfer-Encoding: quoted-printable

----=6206-hweh-5911-geom
Content-Type: text/html; charset="ISO-8859-1"
Content-Transfer-Encoding: Quoted-Printable

<html>
<head>
<title>P12-EMAILINGgroupé</title>
<meta http-equiv=3D"Content-Type" content=3D"text/html; charset=3Diso-8859-1=
">
</head>
<body bgcolor=3D"#FFFFFF" leftmargin=3D"0" topmargin=3D"0" marginwidth=3D"0"=
marginheight=3D"0">
<!-- ImageReady Slices (P12-EMAILINGgroup=E9.png) --><IMG src=3D"cid:P12-EMA=
ILINGgroup=E9.gif" width=3D"736" height=3D"711" alt=3D"">
<!-- End ImageReady Slices -->
</body>
</html>

----=6206-hweh-5911-geom--

----=5596-iasz-7711-xupw
Content-Type: image/gif; name="P12-EMAILINGgroupé.gif"
Content-Transfer-Encoding: Base64
Content-ID: <P12-EMAILINGgroupé.gif>
Content-Location: P12-EMAILINGgroupé.gif

R0lGODlh4ALHAvcAAGxmWnTP5Cmk3idXpquZaqfe7dLL5jHG7SrD7zZ0u1vL5M2yZiib2Gc1lYxt
sTSZ1mvO5C18wTRqtLaqABxosSTD8pfZ6v/tAGPL5EPH5yV0vCdqtTrH66SZAFrL3yWFyBTD83FI
(snip)

sogo.log:

127.0.0.1 - - [07/Jun/2010:17:13:31 GMT] "POST /SOGo/so/xxx/Mail/xxx/folderINBOX/uids HTTP/1.1" 200 777/30 0.257 - - 0
Jun 07 17:13:32 sogod: SOGo watchdog [10213]: <0x0x94b47f8[NGImap4Client]> ERROR(-[NGImap4Client _processUnknownCommandParserException:]): catched non-IMAP4 parsing exception NSInvalidArgumentException: Tried to add nil value for key 'location' to dictionary
Jun 07 17:13:32 sogod: SOGo watchdog [10213]: <0x0x94b47f8[NGImap4Client]> ERROR(-[NGImap4Client _processUnknownCommandParserException:]): catched non-IMAP4 parsing exception NSInvalidArgumentException: Tried to add nil value for key 'location' to dictionary
Jun 07 17:13:32 sogod: SOGo watchdog [10213]: [ERROR] <0x0x90f7320[NGImap4Connection]> could not fetch 60 uids for url: imap://xxxx@xxxx/INBOX/
127.0.0.1 - - [07/Jun/2010:17:13:32 GMT] "POST /SOGo/so/xxxxx/Mail/xxxx/folderINBOX/headers HTTP/1.1" 200 2/372 0.267 - - 0

TagsNo tags attached.

Activities

ludovic

ludovic

2010-06-10 20:59

administrator   ~0001102

Please attach the original message in RFC822 format.

ludovic

ludovic

2010-06-22 17:09

administrator   ~0001122

Could you please attach the message using the "attach" feature and not copy/paste the whole message as a note?

2010-06-23 10:18

 

ludovic

ludovic

2010-06-23 17:05

administrator   ~0001126

Fixed with http://mtn.inverse.ca/revision/diff/8e1a3af5628f31703023508d2fb742a933691c15/with/3316e8de631c5da2b7ba6c4505fa74b707b80b51

Issue History

Date Modified Username Field Change
2010-06-07 12:16 tolivier New Issue
2010-06-10 20:59 ludovic Note Added: 0001102
2010-06-10 20:59 ludovic Target Version => 1.2.3
2010-06-10 20:59 ludovic Additional Information Updated
2010-06-11 15:06 wsourdeau Status new => assigned
2010-06-11 15:06 wsourdeau Assigned To => wsourdeau
2010-06-22 17:09 ludovic Note Added: 0001122
2010-06-23 10:18 tolivier File Added: 1275474263.M591199P26952.melba3,S=852720,W=863826%3A2,
2010-06-23 17:05 ludovic Note Added: 0001126
2010-06-23 17:05 ludovic Status assigned => resolved
2010-06-23 17:05 ludovic Fixed in Version => 1.3.0
2010-06-23 17:05 ludovic Resolution open => fixed